/**
 * Margin mods
 */

/* Without margin */

.without-margin__left {
    margin-left: 0;
}

.without-margin__right {
    margin-right: 0;
}

.without-margin__top {
    margin-top: 0;
}

.without-margin__bottom {
    margin-bottom: 0;
}

/* Margin all */

.margin__small {
    margin: 2px;
}

.margin__small--x {
    margin: 4px;
}

.margin__normal {
    margin: 8px;
}

.margin__medium {
    margin: 12px;
}

.margin__medium--x {
    margin: 16px;
}

.margin__big {
    margin: 20px;
}

.margin__big--x {
    margin: 24px;
}

.margin__mega {
    margin: 28px;
}

.margin__mega--x {
    margin: 32px;
}

/* Margin left */

.margin-left__small {
    margin-left: 2px;
}

.margin-left__small--x {
    margin-left: 4px;
}

.margin-left__normal {
    margin-left: 8px;
}

.margin-left__medium {
    margin-left: 12px;
}

.margin-left__medium--x {
    margin-left: 16px;
}

.margin-left__big {
    margin-left: 20px;
}

.margin-left__big--x {
    margin-left: 24px;
}

.margin-left__mega {
    margin-left: 28px;
}

.margin-left__mega--x {
    margin-left: 32px;
}

/* Margin right */

.margin-right__small {
    margin-right: 2px;
}

.margin-right__small--x {
    margin-right: 4px;
}

.margin-right__normal {
    margin-right: 8px;
}

.margin-right__medium {
    margin-right: 12px;
}

.margin-right__medium--x {
    margin-right: 16px;
}

.margin-right__big {
    margin-right: 20px;
}

.margin-right__big--x {
    margin-right: 24px;
}

.margin-right__mega {
    margin-right: 28px;
}

.margin-right__mega--x {
    margin-right: 32px;
}

/* Margin top */

.margin-top__small {
    margin-top: 2px;
}

.margin-top__small--x {
    margin-top: 4px;
}

.margin-top__normal {
    margin-top: 8px;
}

.margin-top__medium {
    margin-top: 12px;
}

.margin-top__medium--x {
    margin-top: 16px;
}

.margin-top__big {
    margin-top: 20px;
}

.margin-top__big--x {
    margin-top: 24px;
}

.margin-top__mega {
    margin-top: 28px;
}

.margin-top__mega--x {
    margin-top: 32px;
}

/* Margin bottom */

.margin-bottom__small {
    margin-bottom: 2px;
}

.margin-bottom__small--x {
    margin-bottom: 4px;
}

.margin-bottom__normal {
    margin-bottom: 8px;
}

.margin-bottom__medium {
    margin-bottom: 12px;
}

.margin-bottom__medium--x {
    margin-bottom: 16px;
}

.margin-bottom__big {
    margin-bottom: 20px;
}

.margin-bottom__big--x {
    margin-bottom: 24px;
}

.margin-bottom__mega {
    margin-bottom: 28px;
}

.margin-bottom__mega--x {
    margin-bottom: 32px;
}
